Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## com.bea.control
Annotation Type TaskBaseAnnotations.TaskGetProperties

    @Retention(value=RUNTIME)
    @Target(value=METHOD)
    public static @interface TaskBaseAnnotations.TaskGetProperties

Causes the method for this annotation to retrieve the value of the named properties from the task instance(s) for this control. The method attached to this annotation will return an array of PropertyInstance objects, one per property specified. If the property was not found, the array element corresponding to the unknown property will be null. In the special case where only one property name is given, and if the return type of the method is not an array type, the single property value will be returned (not an array) according to the rules below. Note, this annotation should not be used in conjunction with other annotations that return values, as only one return value can be provided from the method (and annotations will compete and collide in returning values).

If the return type of the method attached to this annotation is not assignment compatible with PropertyInstance, this annotation will cause the value object of the PropertyInstance to be extracted. The value object (if assignment compatible) will be stored in the return value. If not, a ControlException will be thrown at runtime.

If this control manages more than one task instance, the method attached to this annotation will return an array of TaskProperties objects indicating the task ID (as a String) of each individual task instance. The TaskProperties object represents the property value array described above (for a single task).

Backward Compatibility Note for 81x

For tasks based on the Compatibility 8.1.x task plan, the names given in propertyNames will not be represented in the task plan. This is allowed for compatibility reasons only with this task plan. All properties are assumed to be of type String.

See Also:
  `PropertyInstance`, `TaskProperties`

Optional Element Summary
`String` | `propertyNames` Comma-separated list of property names.
`SystemProperty[]` | `sysProperties` Array of system property enum values.

### propertyNames

    public abstract String propertyNames

  Comma-separated list of property names.

  Default:
    ""

### sysProperties

    public abstract SystemProperty[] sysProperties

  Array of system property enum values.

  Default:
    {}

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT